Skip to main content
POST
Create an alert rule

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Body

application/json

Alert rule request

scope
enum<string>
required

Scope of the alert rule, organization to execute it for the events of every project or project to only execute it for the events of the current project

Available options:
organization,
project
Example:

"organization"

event
enum<string>
required

Name of the event that will trigger the execution of the alert rule

Available options:
uptime.monitor.created,
uptime.monitor.deleted,
uptime.monitor_certificate.discovered,
uptime.monitor_certificate.expiring,
uptime.incident.created,
uptime.incident.propagated,
uptime.incident.partially_recovered,
uptime.incident.recovered,
uptime.incident_comment.created,
uptime.incident_update.published,
uptime.maintenance_window.in_progress,
uptime.maintenance_window.completed,
uptime.maintenance_window.cancelled
integration_id
integer
required

The ID of the integration used to send a notification when the alert rule is executed

Example:

1

rate_limit
enum<integer>
required

Minimum time in minutes between two executions of the alert rule, used to minimize the number of alerts received.

Available options:
0,
5,
10,
30,
60,
180,
720,
1440
Example:

5

event_settings
Empty · object

Additional settings for the event

integration_settings
Empty · object

Additional settings for the integration

Response

Success, alert rule created

event
enum<string>
required

Name of the event that will trigger the execution of the alert rule

Available options:
uptime.monitor.created,
uptime.monitor.deleted,
uptime.monitor_certificate.discovered,
uptime.monitor_certificate.expiring,
uptime.incident.created,
uptime.incident.propagated,
uptime.incident.partially_recovered,
uptime.incident.recovered,
uptime.incident_comment.created,
uptime.incident_update.published,
uptime.maintenance_window.in_progress,
uptime.maintenance_window.completed,
uptime.maintenance_window.cancelled
integration_id
integer
required

The ID of the integration used to send a notification when the alert rule is executed

Example:

1

rate_limit
enum<integer>
required

Minimum time in minutes between two executions of the alert rule, used to minimize the number of alerts received.

Available options:
0,
5,
10,
30,
60,
180,
720,
1440
Example:

5

id
integer
Example:

1

project_id
integer | null

The ID of a project to use as a scope

Example:

1

event_settings
Empty · object

Additional settings for the event

integration_settings
Empty · object

Additional settings for the integration

created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on February 8, 2026